Finalize Case Attachment
curl --request POST \
--url https://api.duvo.ai/v2/queues/{queue_id}/cases/{case_id}/attachments/{attachment_id}/finalize \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/queues/{queue_id}/cases/{case_id}/attachments/{attachment_id}/finalize"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/queues/{queue_id}/cases/{case_id}/attachments/{attachment_id}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 4503599627370495,
"status": "pending",
"failure_reason": "<string>",
"source": "user",
"uploaded_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Case Attachments
Finalize Case Attachment
Confirm an uploaded case attachment against storage. Answers with the attachment in its settled state — ready when the bytes are present, failed (with a reason) when the upload never completed.
POST
/
v2
/
queues
/
{queue_id}
/
cases
/
{case_id}
/
attachments
/
{attachment_id}
/
finalize
Finalize Case Attachment
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The queue's unique identifier
The case's unique identifier
The attachment's unique identifier
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?